Get the organization's Plaid status

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /plaid-partner/customer/status

Org admins only. Returns the stored onboarding status of the organization's Plaid end customer as a plain string, without calling Plaid. Returns 404 if the organization is not registered. Returns 409 outside production.

Headers

  • organization string Required

    id of the selected (active) organization

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data string Required

      Values are under_review, pending_enablement, active, or denied.

    • statusCode number Required
    • timestamp string(date-time) Required
GET /plaid-partner/customer/status
curl \
 --request GET 'http://api.example.com/plaid-partner/customer/status' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "organization: string"
Response examples (200)
{
  "data": "active",
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}